Class | YARD::Templates::TemplateOptions
In: | lib/yard/templates/template_options.rb
Parent: | YARD::Options

An Options class containing default options for base template rendering. For options specific to generation of HTML output, see {CLI::YardocOptions}.

@see CLI::YardocOptions

### Methods

embed_mixins_match? no_highlight no_highlight=

### External Aliases

globals | -> | __globals

### Attributes

markup_provider | [RW] | @return [Class] the markup provider class for the markup format
no_highlight | [R] | @deprecated use {highlight} instead. @return [Boolean] whether highlighting should be ignored
object | [RW] | @return [CodeObjects::Base] the main object being generated in the template
owner | [RW] | @return [CodeObjects::Base] the owner of the generated object
page_title | [RW] | @return [String] the title of a given page

serializer

[RW]

@return [Serializers::Base] the serializer used to generate links and serialize

      output. Serialization output only occurs if {#serialize} is +true+.

type | [RW] | @return [Symbol] the template type used to generate output
verifier | [RW] | @return [Verifier] the verifier object

### Public Instance methods

embed_mixins_match?(mixin)

@param [CodeObjects::Base] mixin accepts any code object, but returns

      nil unless the object is a module.

@return [Boolean] whether a mixin matches the embed_mixins list @return [nil] if the mixin is not a module object

no_highlight()
no_highlight=(value)

[Validate]